<?php
/*-------------------------------------------------------+
| Filename: admin.php
| Author: Piotr Jaskolski http://php-fusion.pl
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include INFUSIONS."ulubione_panel/infusion_db.php";

global $aidlink;
if(!checkrights("R03") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../index.php"); 

if(file_exists(INFUSIONS."ulubione_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."ulubione_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."ulubione_panel/locale/English.php";
}

$success = false;

$admin = dbquery("SELECT * FROM " . DB_ULUBIONE_SETTINGS . " ");
while ($d = dbarray($admin))
{
    $news = $d['news'];
    $articles = $d['articles'];
    $pages = $d['pages'];
    $news_l = $d['news_l'];
    $articles_l = $d['articles_l'];
    $pages_l = $d['pages_l'];
}

if (isset($_POST['update']))
{ 
    $news = $_POST['news'];
    $articles = $_POST['articles'];
    $pages = $_POST['pages'];
    $news_l = $_POST['news_l'];
    $articles_l = $_POST['articles_l'];
    $pages_l = $_POST['pages_l'];
    $update1 = dbquery("UPDATE " . DB_ULUBIONE_SETTINGS . " SET articles='$articles', news='$news', pages='$pages', articles_l='$articles_l', news_l='$news_l', pages_l='$pages_l'");
    $success = true;
}

opentable("{$locale['ulubione_title']}");
if($success) echo "<p style='text-align:center; font-weight: bold'>{$locale['ulubione_update']}</p>";
echo "<form name='form_settings' id='form_settings' method='post' action='" .
    FUSION_SELF . $aidlink . "' enctype='multipart/form-data'>\n";
	echo "{$locale['ulubione_01']}";
echo "<table cellpadding='0' cellspacing='0' class='tbl-border' >\n";


echo "<tr><td class='tbl'>{$locale['ulubione_news']}</td>\n";
echo "<td class='tbl'>\n";
echo "<select name='news' class='textbox' style='width:200px' >\n";
echo "<option value='0'" . ($news == 0 ? " selected='selected'" : "") .
    ">{$locale['ulubione_no']}</option>\n";
echo "<option value='1'" . ($news == 1 ? " selected='selected'" : "") . ">{$locale['ulubione_yes']}</option>\n";
echo "</select>";
echo "</td>\n";
echo "<td class='tbl'>\n";
echo "<select name='news_l' class='textbox'>";
for ($i=0;$i<=50;$i++) {
  echo "<option value='$i'";
  
        if ($i == $news_l) {
    echo " selected='selected'";
  }
  echo ">".$i."</option>";
}

echo "</select>";
echo "</td></tr>\n";

echo "<tr><td class='tbl'>{$locale['ulubione_articles']}</td>\n";
echo "<td class='tbl'>\n";
echo "<select name='articles' class='textbox' style='width:200px' >\n";
echo "<option value='0'" . ($articles == 0 ? " selected='selected'" : "") .
    ">{$locale['ulubione_no']}</option>\n";
echo "<option value='1'" . ($articles == 1 ? " selected='selected'" : "") . ">{$locale['ulubione_yes']}</option>\n";
echo "</select>";
echo "</td><td class='tbl'>\n";
echo "<select name='articles_l' class='textbox'>";
for ($i=0;$i<=50;$i++) {
  echo "<option value='$i'";
  
        if ($i == $articles_l) {
    echo " selected='selected'";
  }
  echo ">".$i."</option>";
}

echo "</select>";
echo "</td></tr>\n";
echo "<tr><td class='tbl'>{$locale['ulubione_pages']}</td>\n";
echo "<td class='tbl'>\n";
echo "<select name='pages' class='textbox' style='width:200px' >\n";
echo "<option value='0'" . ($pages == 0 ? " selected='selected'" : "") .
    ">{$locale['ulubione_no']}</option>\n";
echo "<option value='1'" . ($pages == 1 ? " selected='selected'" : "") . ">{$locale['ulubione_yes']}</option>\n";
echo "</select>";
echo "</td><td class='tbl'>\n";
echo "<select name='pages_l' class='textbox'>";
for ($i=0;$i<=50;$i++) {
  echo "<option value='$i'";
  
        if ($i == $pages_l) {
    echo " selected='selected'";
  }
  echo ">".$i."</option>";
}

echo "</select>";
echo "</td></tr>\n";
echo "<tr><td class='tbl' ><input type='submit' name='update' value='{$locale['ulubione_save']}' class='button' /></td></tr>\n";
echo "</form>\n";
closetable();

echo "<p align='center'>{$locale['ulubione_footer']} <a href='http://www.php-fusion.pl'>PHP-Fusion PL</a></p>";

require_once THEMES."templates/footer.php";
?>
