<?php
/*-------------------------------------------------------+
| Filename: infusion.php
| Author: Piotr Jaskolski http://php-fusion.pl
+--------------------------------------------------------*/
if(!defined("IN_FUSION")) die("Access Denied");

include INFUSIONS."ulubione_panel/infusion_db.php";

if(file_exists(INFUSIONS."ulubione_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."ulubione_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."ulubione_panel/locale/English.php";
}

$inf_title = $locale['ulubione_title'];
$inf_description = $locale['ulubione_desc'];
$inf_version = "1.0";
$inf_developer = "Piotrroger";
$inf_email = "piotrroger@gmail.com";
$inf_weburl = "http://php-fusion.pl/";
$inf_folder = "ulubione_panel";

$inf_newtable[1] = DB_ULUBIONE_ARTICLES." (
    id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    ulubione_id INT(11) UNSIGNED NOT NULL,
    user_id INT(11) NOT NULL DEFAULT '0',
    PRIMARY KEY(id)
) ENGINE=MyISAM";

$inf_newtable[2] = DB_ULUBIONE_NEWS." (
    id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	ulubione_id INT(11) UNSIGNED NOT NULL,
    user_id INT(11) NOT NULL DEFAULT '0',
    PRIMARY KEY(id)
) ENGINE=MyISAM";

$inf_newtable[3] = DB_ULUBIONE_PAGES." (
    id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	ulubione_id INT(11) UNSIGNED NOT NULL,
    user_id INT(11) NOT NULL DEFAULT '0',
    PRIMARY KEY(id)
) ENGINE=MyISAM";

$inf_newtable[4] = DB_ULUBIONE_SETTINGS." (
    news INT(10) UNSIGNED NOT NULL,
    articles INT(10) UNSIGNED NOT NULL,
    pages INT(10) UNSIGNED NOT NULL,
    news_l INT(10) UNSIGNED NOT NULL,
    articles_l INT(10) UNSIGNED NOT NULL,
    pages_l INT(10) UNSIGNED NOT NULL
) ENGINE=MyISAM";


$inf_droptable[1] = DB_ULUBIONE_ARTICLES;
$inf_droptable[2] = DB_ULUBIONE_NEWS;
$inf_droptable[3] = DB_ULUBIONE_PAGES;
$inf_droptable[4] = DB_ULUBIONE_SETTINGS;

$inf_insertdbrow[1] = DB_ULUBIONE_SETTINGS." (news, articles, pages, news_l, articles_l, pages_l) VALUES ('1', '1', '1', '10', '10', '10')";
$inf_insertdbrow[2] = DB_PANELS .
    " (panel_name, panel_filename, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_restriction) VALUES('" .
    $locale['ulubione_title'] . "', 'ulubione_panel', '4', '1', 'file', '0', '1', '1', '0')";

$inf_deldbrow[1] = DB_PANELS . " WHERE panel_filename='ulubione_panel'";

$inf_adminpanel[1] = array(
    "title" => $locale['ulubione_title'],
    "image" => "ulubione.gif",
    "panel" => "admin.php",
    "rights" => "R03"
);
?>